Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Default_ORTC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "portableserver_export.h"`
`#include "tao/ObjectReferenceTemplateC.h"`
`#include "ace/post.h"`

Include dependency graph for Default_ORTC.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | TAO_EXPORT_MACRO TAO_PortableServer_Export
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCEFACTORY___PTR_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCEFACTORY___VAR_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCEFACTORY___OUT_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCEFACTORY_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___PTR_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___VAR_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___OUT_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCEFACTORY___OBV_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___OBV_CH_
## Functions
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, TAO_Default_ORT::ObjectReferenceFactory **)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TAO_Default_ORT::ObjectReferenceFactory *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, TAO_Default_ORT::ObjectReferenceTemplate *)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, TAO_Default_ORT::ObjectReferenceTemplate **)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TAO_Default_ORT::ObjectReferenceTemplate *&)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_Default_ORT::ObjectReferenceFactory *&)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_Default_ORT::ObjectReferenceTemplate *&)

## Define Documentation

#define _TAO_DEFAULT_ORT_OBJECTREFERENCEFACTORY___OBV_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCEFACTORY___OUT_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCEFACTORY___PTR_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCEFACTORY___VAR_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCEFACTORY_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___OBV_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___OUT_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___PTR_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___VAR_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE_CH_

#define TAO_EXPORT_MACRO TAO_PortableServer_Export

## Function Documentation

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | any,
|  | TAO_Default_ORT::ObjectReferenceTemplate ** | value
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | any,
|  | TAO_Default_ORT::ObjectReferenceTemplate * | value
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | any,
|  | TAO_Default_ORT::ObjectReferenceFactory ** | value
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | TAO_Default_ORT::ObjectReferenceTemplate *& | _tao_valuetype
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | TAO_Default_ORT::ObjectReferenceFactory *& | _tao_valuetype
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | TAO_Default_ORT::ObjectReferenceTemplate *& | value
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | TAO_Default_ORT::ObjectReferenceFactory *& | value
| ) |